Package org.ggf.drmaa

# Class DrmsExitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.ggf.drmaa.DrmaaException
org.ggf.drmaa.DrmsExitException

All Implemented Interfaces:
  `Serializable`

public class DrmsExitException extends DrmaaException
DRM system disengagement failed.

Since:
  0.5
Version:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DrmsExitException()`
Creates a new instance of `DrmsExitException` without detail message.
`DrmsExitException(String msg)`
Constructs an instance of `DrmsExitException` with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DrmsExitException

public DrmsExitException()
Creates a new instance of `DrmsExitException` without detail message.

### DrmsExitException

public DrmsExitException(String msg)
Constructs an instance of `DrmsExitException` with the specified detail message.

Parameters:
  `msg` - the detail message.